Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.impl
Class BeanIntrospector

    java.lang.Object
      com.sun.syndication.feed.impl.BeanIntrospector

    public class BeanIntrospector

extends Object

Obtains all property descriptors from a bean (interface or implementation).

The java.beans.Introspector does not process the interfaces hierarchy chain, this one does.

Author:
  Alejandro Abdelnur

Constructor Summary
`BeanIntrospector()`

Method Summary
`static PropertyDescriptor[]` | `getPropertyDescriptors(Class klass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanIntrospector

    public BeanIntrospector()

Method Detail

### getPropertyDescriptors

    public static PropertyDescriptor[] getPropertyDescriptors(Class klass)
                                                       throws IntrospectionException

  Throws:
    `IntrospectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.